config() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
    # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}

preserve_perms() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  if [ -e $OLD ]; then
    cp -a $OLD ${NEW}.incoming
    cat $NEW > ${NEW}.incoming
    mv ${NEW}.incoming $NEW
  fi
  config $NEW
}

config etc/pam.d/lightdm.new
config etc/pam.d/lightdm-autologin.new
config etc/pam.d/lightdm-greeter.new

config etc/lightdm/lightdm.conf.new
config etc/lightdm/users.conf.new
config etc/lightdm/keys.conf.new
( cd usr/lib64 ; rm -rf liblightdm-gobject-1.so )
( cd usr/lib64 ; ln -sf liblightdm-gobject-1.so.0.0.0 liblightdm-gobject-1.so )
( cd usr/lib64 ; rm -rf liblightdm-gobject-1.so.0 )
( cd usr/lib64 ; ln -sf liblightdm-gobject-1.so.0.0.0 liblightdm-gobject-1.so.0 )
( cd usr/share/accountsservice/interfaces ; rm -rf org.freedesktop.DisplayManager.AccountsService.xml )
( cd usr/share/accountsservice/interfaces ; ln -sf ../../dbus-1/interfaces/org.freedesktop.DisplayManager.AccountsService.xml org.freedesktop.DisplayManager.AccountsService.xml )
